TEMPLATE = app 
CONFIG   = qt warn_on debug

HEADERS  = SimikonApp.hh SimikonActions.hh SimikonSettings.hh \
	   SimikonProject.hh SimikonProperties.hh SimikonIOPorts.hh \
	   SimikonDebugger.hh SimikonRegisters.hh SimikonMemory.hh \
	   SimikonStack.hh SimikonPerformance.hh SimikonSplash.hh \
	   SimikonInterrupts.hh Register.hh SimikonAbout.hh SimikonUtils.hh \
	   SimikonSerial.hh SimikonSFR.hh SimikonModule.hh SimikonHelp.hh \
     AS31/SimikonAS31.hh AS31/as31.h AS31/as31.tab.h AS31/emitter.h \
     AS31/lexer.h AS31/symbol.h \
     SimikonConsole.hh \
     8052/Simikon8052.hh \
     LeakTracker.hh 

SOURCES  = main.cpp SimikonApp.cpp SimikonActions.cpp SimikonSettings.cpp \
           SimikonProject.cpp SimikonProperties.cpp SimikonIOPorts.cpp \
           SimikonDebugger.cpp SimikonRegisters.cpp SimikonMemory.cpp \
           SimikonStack.cpp SimikonPerformance.cpp SimikonSplash.cpp \
           SimikonInterrupts.cpp Register.cpp SimikonAbout.cpp SimikonUtils.cpp \
     SimikonSerial.cpp SimikonSFR.cpp SimikonModule.cpp SimikonHelp.cpp \
     AS31/SimikonAS31.cpp AS31/as31.tab.cpp AS31/emitter.cpp AS31/lexer.cpp \
     AS31/symbol.cpp \
     SimikonConsole.cpp \
     8052/Simikon8052.cpp 8052/InstTable8052.cpp 8052/InstImpl8052.cpp \
     LeakTracker.cpp

TARGET   = simikon
DESTDIR  = ../../
OBJECTS_DIR = obj
MOC_DIR     = moc
LIBS = -L../widgets -lstabctl
INCLUDEPATH = . ../pixmaps ../widgets/STabCtl ./8052 ./AS31 
